#English strings go here for Rails i18n
lv:
  plugin_openproject_two_factor_authentication:
    name: "OpenProject Two-factor authentication"
    description: >-
      This OpenProject plugin authenticates your users using two-factor authentication by means of one-time password through the TOTP standard (Google Authenticator) or sent to the user's cell phone via SMS or voice call.
  activerecord:
    attributes:
      two_factor_authentication/device:
        identifier: "Identifikators"
        default: "Use as default"
      two_factor_authentication/device/sms:
        phone_number: "Phone number"
    errors:
      models:
        two_factor_authentication/device:
          default_already_exists: "is already set for another OTP device."
        two_factor_authentication/device/sms:
          attributes:
            phone_number:
              error_phone_number_format: "must be of format +XX XXXXXXXXX"
    models:
      two_factor_authentication/device: "2FA device"
      two_factor_authentication/device/sms: "Mobile phone"
      two_factor_authentication/device/totp: "Authenticator application"
      two_factor_authentication/device/webauthn: "WebAuthn"
  two_factor_authentication:
    error_2fa_disabled: "2FA delivery has been disabled."
    notice_not_writable: "2FA Settings were provided through environment variables and cannot be overwritten."
    error_no_device: "No registered 2FA device found for this user, despite being required for this instance."
    error_no_matching_strategy: "No matching 2FA strategy available for this user. Please contact your administratior."
    error_is_enforced_not_active: "Configuration error: Two-factor authentication has been enforced, but no active strategies exist."
    error_invalid_backup_code: "Invalid 2FA backup code"
    channel_unavailable: "The delivery channel %{channel} is unavailable."
    no_valid_phone_number: "No valid phone number exists."
    label_pwd_confirmation: "Parole"
    notice_pwd_confirmation: "You need to confirm your password upon making changes to these settings."
    label_device_type: "Device type"
    label_default_device: "Default 2FA device"
    label_device: "2FA device"
    label_devices: "2FA devices"
    label_one_time_password: "One-time password"
    label_2fa_enabled: "Two-factor authentication is active"
    label_2fa_disabled: "Two-factor authentication not active"
    text_otp_delivery_message_sms: "Your %{app_title} one-time password is %{token}"
    text_otp_delivery_message_voice: "Your %{app_title} one-time password is: %{pause} %{token}. %{pause} I repeat: %{pause} %{token}"
    text_enter_2fa: "Please enter the one-time password from your device."
    text_2fa_enabled: "Upon every login, you will be requested to enter a OTP token from your default 2FA device."
    text_2fa_disabled: "To enable two-factor authentication, use the button above to register a new 2FA device. If you already have a device, you need to make it a default."
    login:
      enter_backup_code_title: Enter backup code
      enter_backup_code_text: Please enter a valid backup code from your list of codes in case you can no longer access your registered 2FA devices.
      other_device: "Use another device or backup code"
    settings:
      title: "2FA settings"
      current_configuration: "Current configuration"
      label_active_strategies: "Active 2FA strategies"
      label_enforced: "Enforce 2FA"
      label_remember: "Remember 2FA login"
      text_configuration: |
        Note: These values represent the current application-wide configuration. You cannot disable settings enforced by the configuration or change the current active strategies, since they require a server restart.
      text_configuration_guide: For more information, check the configuration guide.
      text_enforced: "Enable this setting to force all users to register a 2FA device on their next login. Can only be disabled when not enforced by configuration."
      text_remember: |
        Set this to greater than zero to allow users to remember their 2FA authentication for the given number of days.
        They will not be requested to re-enter it during that period. Can only be set when not enforced by configuration.
      error_invalid_settings: "The 2FA strategies you selected are invalid"
      failed_to_save_settings: "Failed to update 2FA settings: %{message}"
    admin:
      self_edit_path: "To add or modify your own 2FA devices, please go to %{self_edit_link}"
      self_edit_link_name: "Two-factor authentication on your account page"
      self_edit_forbidden: "You may not edit your own 2FA devices on this path. Go to My Account > Two factor authentication instead."
      no_devices_for_user: "No 2FA device has been registered for this user."
      all_devices_deleted: "All 2FA devices of this user have been deleted"
      delete_all_are_you_sure: "Are you sure you want to delete all 2FA devices for this user?"
      button_delete_all_devices: "Delete registered 2FA devices"
      button_register_mobile_phone_for_user: "Register mobile phone"
      text_2fa_enabled: "Upon every login, this user will be requested to enter a OTP token from their default 2FA device."
      text_2fa_disabled: "The user did not set up a 2FA device through their 'My account page'"
      only_sms_allowed: "Only SMS delivery can be set up for other users."
    upsale:
      title: "Two-factor authentication"
      description: "Strenghten the security of your OpenProject instance by offering (or enforcing) two-factor authentification to all project members."
    backup_codes:
      none_found: No backup codes exist for this account.
      singular: Backup code
      plural: Backup codes
      your_codes: for your %{app_name} account %{login}
      overview_description: |
        If you are unable to access your two factor devices, you can use a backup code to regain access to your account.
        Use the following button to generate a new set of backup codes.
      generate:
        title: Generate backup codes
        keep_safe_as_password: "Important! Treat these codes as passwords."
        keep_safe_warning: "Either save them in your password manager, or print this page and put in a safe place."
        regenerate_warning: "Warning: If you have created backup codes before, they will be invalidated and will no longer work."
    devices:
      add_new: "Add new 2FA device"
      register: "Register device"
      confirm_default: "Confirm changing default device"
      confirm_device: "Confirm device"
      confirm_now: "Not confirmed, click here to activate"
      cannot_delete_default: "Cannot delete default device"
      make_default_are_you_sure: "Are you sure you want to make this 2FA device your default?"
      make_default_failed: "Failed to update the default 2FA device."
      deletion_are_you_sure: "Are you sure you want to delete this 2FA device?"
      registration_complete: "2FA device registration complete!"
      registration_failed_token_invalid: "2FA device registration failed, the token was invalid."
      registration_failed_update: "2FA device registration failed, the token was valid but the device could not be updated."
      confirm_send_failed: "Confirmation of your 2FA device failed."
      button_complete_registration: "Complete 2FA registration"
      text_confirm_to_complete_html: "Please complete the registration of your device <strong>%{identifier}</strong> by entering a one-time password from your default device."
      text_confirm_to_change_default_html: "Please confirm changing your default device to <strong>%{new_identifier}</strong> by entering a one-time password from your current default device."
      text_identifier: "You can give the device a custom identifier using this field."
      failed_to_delete: "Failed to delete 2FA device."
      is_default_cannot_delete: "The device is marked as default and cannot be deleted due to an active security policy. Mark another device as default before deleting."
      not_existing: "No 2FA device has been registered for your account."
      2fa_from_input: Please enter the code from your <strong>%{device_name}</strong> to verify your identity.
      2fa_from_webauthn: Please provide the WebAuthn device <strong>%{device_name}</strong>. If it is USB based make sure to plug it in and touch it. Then click the sign in button.
      webauthn:
        title: "WebAuthn"
        description: Register a FIDO2 device (like YubiKey) or the secure encalve of your mobile device.
        further_steps: After you have chosen a name, you can click the Continue button. Your browser will prompt you to present your WebAuthn device. When you have done so, you are done registering the device.
      totp:
        title: "App-based authenticator"
        provisioning_uri: "Provisioning URI"
        secret_key: "Slepenā atslēga"
        time_based: "Time based"
        account: "Account name / Issuer"
        setup: |
          For setting up two-factor authentication with Google Authenticator, download the application from the Apple App store or Google Play Store.
          After opening the app, you can scan the following QR code to register the device.
        question_cannot_scan: |
          Unable to scan the code using your application?
        text_cannot_scan: |
          If you can't scan the code, you can enter the entry manually using the following details:
        description: |
          Use a one-time code generated by an authenticator like Authy or Google Authenticator.
      sms:
        title: "Mobile device"
        redacted_identifier: "Mobile device (%{redacted_number})"
        request_2fa_identifier: "%{redacted_identifier}, we sent you an authentication code via %{delivery_channel}"
        description: |
          Receive 2FA code via a text message on your phone each time you log in.
    sns:
      delivery_failed: "SNS delivery failed:"
    message_bird:
      sms_delivery_failed: "MessageBird SMS delivery failed."
      voice_delivery_failed: "MessageBird voice call failed."
    strategies:
      totp: "Authenticator application"
      sns: "Amazon SNS"
      resdt: "SMS Rest API"
      webauthn: "WebAuthn"
    mobile_transmit_notification: "A one-time password has been sent to your cell phone."
    label_two_factor_authentication: "Two-factor authentication"
    forced_registration:
      required_to_add_device: "An active security policy requires you to enable two-factor authentication. Please use the following form to register a device."
    remember:
      active_session_notice: >
        Your account has an active remember cookie valid until %{expires_on}. This cookie allows you to log in without a second factor to your account until that time.
      other_active_session_notice: Your account has an active remember cookie on another session.
      label: "Remember"
      clear_cookie: "Click here to remove all remembered 2FA sessions."
      cookie_removed: "All remembered 2FA sessions have been removed."
      dont_ask_again: "Create cookie to remember 2FA authentication on this client for %{days} days."
  field_phone: "Cell phone"
  field_otp: "One-time password"
  notice_account_otp_invalid: "Invalid one-time password."
  notice_account_otp_expired: "The one-time password you entered expired."
  notice_developer_strategy_otp: "Developer strategy generated the following one-time password: %{token} (Channel: %{channel})"
  notice_account_otp_send_failed: "Your one-time password could not be sent."
  notice_account_has_no_phone: "No cell phone number is associated with your account."
  label_expiration_hint: "%{date} or on logout"
  label_actions: "Actions"
  label_confirmed: "Confirmed"
  button_continue: "Continue"
  button_make_default: "Mark as default"
  label_unverified_phone: "Cell phone not yet verified"
  notice_phone_number_format: "Please enter the number in the following format: +XX XXXXXXXX."
  text_otp_not_receive: "Other verification methods"
  text_send_otp_again: "Resend one-time password by:"
  button_resend_otp_form: "Resend"
  button_otp_by_voice: "Voice call"
  button_otp_by_sms: "SMS"
  label_otp_channel: "Delivery channel"
